path: /build/build/czmq-net-libs-4.2.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-nss http-client http-server lz4 uuid drafts" emerge net-libs/czmq -pv -t && \
    USE="-nss http-client http-server lz4 uuid drafts" emerge -j ${JOBS} --nodeps net-libs/czmq
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/czmq && luet-portage --dir /pkgdir/czmq
    net-libs/czmq && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:fb08be442b289332b04843b59a8db67c49820a5662c80c3293e7ead346139d67
  package:
    name: czmq
    version: 4.2.1+1
    category: net-libs
    use_flags:
    - -nss
    - http-client
    - http-server
    - lz4
    - uuid
    - drafts
    requires:
    - name: libmicrohttpd
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: High-level C binding for ØMQ
    uri:
    - http://czmq.zeromq.org
    license: MPL-2.0
    buildtimestamp: 2023-10-13 10:47:34.981079717 +0000 UTC m=+119.091640639
    labels:
      BDEPEND: app-text/asciidoc app-text/xmlto virtual/pkgconfig >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      DEPEND: '>=net-libs/zeromq-4:=[drafts?] http-client? ( net-misc/curl ) http-server?
        ( net-libs/libmicrohttpd:= ) lz4? ( app-arch/lz4:= ) nss? ( dev-libs/nspr
        dev-libs/nss ) uuid? ( sys-apps/util-linux:0 )'
      IUSE: curl drafts http-client http-server lz4 nss static-libs systemd +uuid
      RDEPEND: '>=net-libs/zeromq-4:=[drafts?] http-client? ( net-misc/curl ) http-server?
        ( net-libs/libmicrohttpd:= ) lz4? ( app-arch/lz4:= ) nss? ( dev-libs/nspr
        dev-libs/nss ) uuid? ( sys-apps/util-linux:0 )'
      emerge.packages: net-libs/czmq
      kit: net-kit
      original.package.name: net-libs/czmq
      original.package.slot: "0"
      original.package.version: 4.2.1
    treedir: /build/packages
  package_dir: /pkgdir/czmq
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6a38ceeaa7eb4b26f5f27082e25b996aec073ab1b1ca7a5b0e09e4174092f48a
compressiontype: zstd
files:
- usr/bin/zmakecert
- usr/include/czmq.h
- usr/include/czmq_library.h
- usr/include/czmq_prelude.h
- usr/include/zactor.h
- usr/include/zargs.h
- usr/include/zarmour.h
- usr/include/zauth.h
- usr/include/zbeacon.h
- usr/include/zcert.h
- usr/include/zcertstore.h
- usr/include/zchunk.h
- usr/include/zclock.h
- usr/include/zconfig.h
- usr/include/zdigest.h
- usr/include/zdir.h
- usr/include/zdir_patch.h
- usr/include/zfile.h
- usr/include/zframe.h
- usr/include/zgossip.h
- usr/include/zhash.h
- usr/include/zhashx.h
- usr/include/zhttp_client.h
- usr/include/zhttp_request.h
- usr/include/zhttp_response.h
- usr/include/zhttp_server.h
- usr/include/zhttp_server_options.h
- usr/include/ziflist.h
- usr/include/zlist.h
- usr/include/zlistx.h
- usr/include/zloop.h
- usr/include/zmonitor.h
- usr/include/zmsg.h
- usr/include/zosc.h
- usr/include/zpoller.h
- usr/include/zproc.h
- usr/include/zproxy.h
- usr/include/zrex.h
- usr/include/zsock.h
- usr/include/zstr.h
- usr/include/zsys.h
- usr/include/ztimerset.h
- usr/include/ztrie.h
- usr/include/zuuid.h
- usr/lib64/libczmq.a
- usr/lib64/libczmq.la
- usr/lib64/libczmq.so
- usr/lib64/libczmq.so.4
- usr/lib64/libczmq.so.4.2.1
- usr/lib64/pkgconfig/libczmq.pc
- usr/share/doc/czmq-4.2.1/AUTHORS.bz2
- usr/share/doc/czmq-4.2.1/NEWS.bz2
- usr/share/doc/czmq-4.2.1/README.md.bz2
- usr/share/man/man1/zmakecert.1.bz2
- usr/share/man/man3/zactor.3.bz2
- usr/share/man/man3/zargs.3.bz2
- usr/share/man/man3/zarmour.3.bz2
- usr/share/man/man3/zauth.3.bz2
- usr/share/man/man3/zbeacon.3.bz2
- usr/share/man/man3/zcert.3.bz2
- usr/share/man/man3/zcertstore.3.bz2
- usr/share/man/man3/zchunk.3.bz2
- usr/share/man/man3/zclock.3.bz2
- usr/share/man/man3/zconfig.3.bz2
- usr/share/man/man3/zdigest.3.bz2
- usr/share/man/man3/zdir.3.bz2
- usr/share/man/man3/zdir_patch.3.bz2
- usr/share/man/man3/zfile.3.bz2
- usr/share/man/man3/zframe.3.bz2
- usr/share/man/man3/zgossip.3.bz2
- usr/share/man/man3/zhash.3.bz2
- usr/share/man/man3/zhashx.3.bz2
- usr/share/man/man3/zhttp_client.3.bz2
- usr/share/man/man3/zhttp_request.3.bz2
- usr/share/man/man3/zhttp_response.3.bz2
- usr/share/man/man3/zhttp_server.3.bz2
- usr/share/man/man3/zhttp_server_options.3.bz2
- usr/share/man/man3/ziflist.3.bz2
- usr/share/man/man3/zlist.3.bz2
- usr/share/man/man3/zlistx.3.bz2
- usr/share/man/man3/zloop.3.bz2
- usr/share/man/man3/zmonitor.3.bz2
- usr/share/man/man3/zmsg.3.bz2
- usr/share/man/man3/zosc.3.bz2
- usr/share/man/man3/zpoller.3.bz2
- usr/share/man/man3/zproc.3.bz2
- usr/share/man/man3/zproxy.3.bz2
- usr/share/man/man3/zrex.3.bz2
- usr/share/man/man3/zsock.3.bz2
- usr/share/man/man3/zstr.3.bz2
- usr/share/man/man3/zsys.3.bz2
- usr/share/man/man3/ztimerset.3.bz2
- usr/share/man/man3/ztrie.3.bz2
- usr/share/man/man3/zuuid.3.bz2
- usr/share/man/man7/czmq.7.bz2
- usr/share/zproject/czmq/python_cffi.slurp
- usr/share/zproject/czmq/zactor.api
- usr/share/zproject/czmq/zargs.api
- usr/share/zproject/czmq/zarmour.api
- usr/share/zproject/czmq/zcert.api
- usr/share/zproject/czmq/zcertstore.api
- usr/share/zproject/czmq/zchunk.api
- usr/share/zproject/czmq/zclock.api
- usr/share/zproject/czmq/zconfig.api
- usr/share/zproject/czmq/zdigest.api
- usr/share/zproject/czmq/zdir.api
- usr/share/zproject/czmq/zdir_patch.api
- usr/share/zproject/czmq/zfile.api
- usr/share/zproject/czmq/zframe.api
- usr/share/zproject/czmq/zgossip_msg.api
- usr/share/zproject/czmq/zhash.api
- usr/share/zproject/czmq/zhashx.api
- usr/share/zproject/czmq/zhttp_client.api
- usr/share/zproject/czmq/zhttp_request.api
- usr/share/zproject/czmq/zhttp_response.api
- usr/share/zproject/czmq/zhttp_server.api
- usr/share/zproject/czmq/zhttp_server_options.api
- usr/share/zproject/czmq/ziflist.api
- usr/share/zproject/czmq/zlist.api
- usr/share/zproject/czmq/zlistx.api
- usr/share/zproject/czmq/zloop.api
- usr/share/zproject/czmq/zmsg.api
- usr/share/zproject/czmq/zosc.api
- usr/share/zproject/czmq/zpoller.api
- usr/share/zproject/czmq/zproc.api
- usr/share/zproject/czmq/zsock.api
- usr/share/zproject/czmq/zsock_option.api
- usr/share/zproject/czmq/zstr.api
- usr/share/zproject/czmq/zsys.api
- usr/share/zproject/czmq/ztimerset.api
- usr/share/zproject/czmq/ztrie.api
- usr/share/zproject/czmq/zuuid.api
- var/db/pkg/net-libs/czmq-4.2.1/BDEPEND
- var/db/pkg/net-libs/czmq-4.2.1/BUILD_TIME
- var/db/pkg/net-libs/czmq-4.2.1/CATEGORY
- var/db/pkg/net-libs/czmq-4.2.1/CBUILD
- var/db/pkg/net-libs/czmq-4.2.1/CFLAGS
- var/db/pkg/net-libs/czmq-4.2.1/CHOST
- var/db/pkg/net-libs/czmq-4.2.1/CONTENTS
- var/db/pkg/net-libs/czmq-4.2.1/COUNTER
- var/db/pkg/net-libs/czmq-4.2.1/CXXFLAGS
- var/db/pkg/net-libs/czmq-4.2.1/DEFINED_PHASES
- var/db/pkg/net-libs/czmq-4.2.1/DEPEND
- var/db/pkg/net-libs/czmq-4.2.1/DESCRIPTION
- var/db/pkg/net-libs/czmq-4.2.1/EAPI
- var/db/pkg/net-libs/czmq-4.2.1/FEATURES
- var/db/pkg/net-libs/czmq-4.2.1/HOMEPAGE
- var/db/pkg/net-libs/czmq-4.2.1/INHERITED
- var/db/pkg/net-libs/czmq-4.2.1/IUSE
- var/db/pkg/net-libs/czmq-4.2.1/IUSE_EFFECTIVE
- var/db/pkg/net-libs/czmq-4.2.1/KEYWORDS
- var/db/pkg/net-libs/czmq-4.2.1/LDFLAGS
- var/db/pkg/net-libs/czmq-4.2.1/LICENSE
- var/db/pkg/net-libs/czmq-4.2.1/NEEDED
- var/db/pkg/net-libs/czmq-4.2.1/PF
- var/db/pkg/net-libs/czmq-4.2.1/PROVIDES
- var/db/pkg/net-libs/czmq-4.2.1/RDEPEND
- var/db/pkg/net-libs/czmq-4.2.1/REQUIRES
- var/db/pkg/net-libs/czmq-4.2.1/SIZE
- var/db/pkg/net-libs/czmq-4.2.1/SLOT
- var/db/pkg/net-libs/czmq-4.2.1/USE
- var/db/pkg/net-libs/czmq-4.2.1/czmq-4.2.1.ebuild
- var/db/pkg/net-libs/czmq-4.2.1/environment.bz2
- var/db/pkg/net-libs/czmq-4.2.1/repository
package_cacheimage: ""
runtime:
  name: czmq
  version: 4.2.1+1
  category: net-libs
  use_flags:
  - -nss
  - http-client
  - http-server
  - lz4
  - uuid
  - drafts
  requires:
  - name: lz4
    version: '>=0'
    category: app-arch
  - name: libmicrohttpd
    version: '>=0'
    category: net-libs
  - name: zeromq
    version: '>=0'
    category: net-libs
  - name: curl
    version: '>=0'
    category: net-misc
  - name: util-linux
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: High-level C binding for ØMQ
  uri:
  - http://czmq.zeromq.org
  license: MPL-2.0
  labels:
    BDEPEND: app-text/asciidoc app-text/xmlto virtual/pkgconfig >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    DEPEND: '>=net-libs/zeromq-4:=[drafts?] http-client? ( net-misc/curl ) http-server?
      ( net-libs/libmicrohttpd:= ) lz4? ( app-arch/lz4:= ) nss? ( dev-libs/nspr dev-libs/nss
      ) uuid? ( sys-apps/util-linux:0 )'
    IUSE: curl drafts http-client http-server lz4 nss static-libs systemd +uuid
    RDEPEND: '>=net-libs/zeromq-4:=[drafts?] http-client? ( net-misc/curl ) http-server?
      ( net-libs/libmicrohttpd:= ) lz4? ( app-arch/lz4:= ) nss? ( dev-libs/nspr dev-libs/nss
      ) uuid? ( sys-apps/util-linux:0 )'
    emerge.packages: net-libs/czmq
    kit: net-kit
    original.package.name: net-libs/czmq
    original.package.slot: "0"
    original.package.version: 4.2.1
